libglade2.0-cil_2.12.10-6_amd64.deb


Advertisement

Description

libglade2.0-cil - CLI binding for the Glade libraries 2.6

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libglade2.0-cil_2.12.10-6_amd64.deb
Package name libglade2.0-cil
Package version 2.12.10
Package release 6
Package architecture amd64
Package type deb
Category libs
Homepage http://www.mono-project.com/GtkSharp
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 16.55 KB
Installed size 215.00 KB
This package provides the glade-sharp assembly that allows CLI (.NET) programs
to use the Glade libraries 2.6.
GTK# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit
This package contains the glade-sharp assembly

Alternatives

Package Version Architecture Repository
libglade2.0-cil_2.12.10-6_i386.deb 2.12.10 i386 Ubuntu Main
libglade2.0-cil - - -

Requires

Name Value
cli-common >= 0.5.6
libc6 >= 2.2.5
libglade2-0 >= 1:2.6.4-2~
libglib2.0-cil >= 2.12.10-1ubuntu1
libgtk2.0-cil >= 2.12.10-1ubuntu1
libmono-corlib4.5-cil >= 4.2.0

Replaces

Name Value
gtk-sharp2-gapi << 2.10.0-1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libglade2.0-cil_2.12.10-6_amd64.deb
Source Package gtk-sharp2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libglade2.0-cil deb package:
    # sudo apt-get install libglade2.0-cil

Files

Path
/usr/lib/cli/glade-sharp-2.0/glade-sharp.dll
/usr/lib/cli/glade-sharp-2.0/glade-sharp.dll.config
/usr/lib/cli/glade-sharp-2.0/libgladesharpglue-2.so
/usr/share/cli-common/packages.d/libglade2.0-cil.installcligac
/usr/share/cli-common/policies.d/010-2.10.glade-sharp
/usr/share/cli-common/policies.d/010-2.4.glade-sharp
/usr/share/cli-common/policies.d/010-2.6.glade-sharp
/usr/share/cli-common/policies.d/010-2.8.glade-sharp
/usr/share/cli-common/policies.d/libglade2.0-cil/policy.2.10.glade-sharp.config
/usr/share/cli-common/policies.d/libglade2.0-cil/policy.2.10.glade-sharp.dll
/usr/share/cli-common/policies.d/libglade2.0-cil/policy.2.4.glade-sharp.config
/usr/share/cli-common/policies.d/libglade2.0-cil/policy.2.4.glade-sharp.dll
/usr/share/cli-common/policies.d/libglade2.0-cil/policy.2.6.glade-sharp.config
/usr/share/cli-common/policies.d/libglade2.0-cil/policy.2.6.glade-sharp.dll
/usr/share/cli-common/policies.d/libglade2.0-cil/policy.2.8.glade-sharp.config
/usr/share/cli-common/policies.d/libglade2.0-cil/policy.2.8.glade-sharp.dll
/usr/share/doc/libglade2.0-cil/changelog.Debian.gz
/usr/share/doc/libglade2.0-cil/copyright

Changelog

2015-12-14 - Iain Lane <laney@debian.org>
gtk-sharp2 (2.12.10-6) unstable; urgency=medium
* [97fcc59] Use libmono-cairo4.0-cil
2015-02-21 - Simon McVittie <smcv@debian.org>
gtk-sharp2 (2.12.10-5.1) unstable; urgency=medium
* Non-maintainer upload.
* debian/patches: add upstream commits
0001-glib-Fix-native-GLib-warnings-when-disposing-SourceP,
0002-Check-that-source_handlers-contains-the-tag from version 2.12.26,
fixing warning spam from removing nonexistent event sources with
recent GLib. This was filed as RC, since it can consume significant
disk space in long-running Gtk# apps. (Closes: #776145)
2012-09-05 - Carlos Martín Nieto <cmn@dwim.me>
gtk-sharp2 (2.12.10-5) unstable; urgency=low
* [b130b4f] debian/patches: add 06_IconTheme_use_glib_marshaller.
This makes IconTheme.get_SearchPath() 64-bit safe.
2012-04-11 - Iain Lane <laney@debian.org>
gtk-sharp2 (2.12.10-4) unstable; urgency=low
[ Colin Watson ]
* Include <glib.h> rather than individual headers (Closes: #665550).
[ Christopher James Halse Rogers ]
* debian/patches/04_fix_glib_2.31_threading.dpatch:
+ GLib 2.31 always has threading support, always initialises it, and has
dropped some deprecated functions.  Update glibsharpglue and 
Thread.cs to match.  Fixes FTBFS (LP: #911125, LP: #935518)
* debian/control:
+ Add versioned dependency on glib > 2.31 to libglib2.0-cil, as we depend
on the threading behaviour of those GLibs.
* debian/control:
* debian/rules:
+ Add dh_autoreconf to update build system for patch
* debian/patches/99_ltmain_as_needed:
+ Drop; dh_autoreconf does this better
[ Iain Lane ]
* [7d1433b] Remove explicit glib Depends for libglib2.0-cil.  We can get
this right on our own without hardcoding it.  Thanks to Michael Biebl
<biebl@debian.org>
* [741d13f] Add misc:Depends to gtk-sharp2. Thanks, Lintian
* [236a8a8] Convert to 3.0 (quilt)
* [4ed8f5e] Standards-Version → 3.9.3, no changes
* [1a8ebc7] Run wrap-and-sort to tidy up
2012-01-23 - Iain Lane <laney@debian.org>
gtk-sharp2 (2.12.10-3) unstable; urgency=low
* No-change rebuild for CLR 4.0 transition 
2011-07-11 - Julian Taylor <jtaylor.debian@googlemail.com>
gtk-sharp2 (2.12.10-2) unstable; urgency=low
[ Julian Taylor ]
* [87af615] initial upstream branch
* [2c8987c] Imported Upstream version 2.12.10
* [b47eac8] drop unnecessary dependency on libmono-dev
* [5c8dcfc] update Vcs-* fields to point to git
2010-05-18 - Jo Shields <directhex@apebox.org>
gtk-sharp2 (2.12.10-1) unstable; urgency=low
* New upstream release
* debian/rules:
+ Bump API version to 2.12.10
* debian/control:
+ Bump Standards to 3.8.4 (no changes needed)
* debian/source/format:
+ Force Debian source format 1.0
* debian/rules:
+ Write a get-orig-source rule
* debian/watch:
+ Get rid of evil "debian uupdate" line which breaks packaging work on
Ubuntu
* debian/patches/01_dllmaps.dpatch:
+ Refreshed
2010-01-21 - Jo Shields <directhex@apebox.org>
gtk-sharp2 (2.12.9-4) unstable; urgency=low
* debian/patches/02_pcfiles.dpatch:
+ Fix path to gtk-dotnet.dll in pcfile
2010-01-06 - Jo Shields <directhex@apebox.org>
gtk-sharp2 (2.12.9-3) unstable; urgency=low
* debian/control:
+ Add explicit dependencies on -cil-dev packages whose pkg-config
files have a Requires line. Previously this was taken care of by 
accident thanks to dh_clideps, but not since the -cil-dev split.

See Also

Package Description
libglapi-mesa-lts-utopic_10_amd64.deb Transitional package for libglapi-mesa-lts-utopic
libglapi-mesa-lts-vivid_10_amd64.deb Transitional package for libglapi-mesa-lts-vivid
libglapi-mesa-lts-wily_10_amd64.deb Transitional package for libglapi-mesa-lts-wily
libglapi-mesa_11.2.0-1ubuntu2_amd64.deb free implementation of the GL API -- shared library
libgles1-mesa-dev-lts-utopic_10_amd64.deb Transitional package for libgles1-mesa-dev-lts-utopic
libgles1-mesa-dev-lts-vivid_10_amd64.deb Transitional package for libgles1-mesa-dev-lts-vivid
libgles1-mesa-dev-lts-wily_10_amd64.deb Transitional package for libgles1-mesa-dev-lts-wily
libgles1-mesa-dev_11.2.0-1ubuntu2_amd64.deb free implementation of the OpenGL|ES 1.x API -- development files
libgles1-mesa-lts-utopic_10_amd64.deb Transitional package for libgles1-mesa-lts-utopic
libgles1-mesa-lts-vivid_10_amd64.deb Transitional package for libgles1-mesa-lts-vivid
libgles1-mesa-lts-wily_10_amd64.deb Transitional package for libgles1-mesa-lts-wily
libgles1-mesa_11.2.0-1ubuntu2_amd64.deb free implementation of the OpenGL|ES 1.x API -- runtime
libgles2-mesa-dev-lts-utopic_10_amd64.deb Transitional package for libgles2-mesa-dev-lts-utopic
libgles2-mesa-dev-lts-vivid_10_amd64.deb Transitional package for libgles2-mesa-dev-lts-vivid
libgles2-mesa-dev-lts-wily_10_amd64.deb Transitional package for libgles2-mesa-dev-lts-wily
Advertisement
Advertisement